﻿Fluke Corporation                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Agilent DSO6012A: (1 year) VER IEEE /9500+3Hd
DATE:                  2011-02-09 08:49:26
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       200
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
=============================================================================
#
#  Procedure Author:
#        GCM, DFM, DAC, CAD
# 
#  Model(s) Covered:
#        DSO6012A
# 
#  Compatibility:
#        MET/CAL 7.3 or later
# 
#  Source(s):
#        Agilent 6000 Series Oscilloscopes Service Guide,
#          Part No. 54684-97029, August 2008
#        Agilent Technologies InfiniiVision 6000 Series
#          Oscilloscopes Data Sheet,
#          Part No. 5989-2000EN, October 1, 2009
# 
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Self Test SCPI No Connection
#        Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500
#        Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500
#        Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
#        Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500
#        Sub AT MSO/DSO6xxx Select Channel
#        Sub AT MSO/DSO6xxx Wait for Triggered
#        Sub AT MSO/DSO6xxx Check Date Code
#        Sub AT MSO/DSO6xxx Check Firmware Revision
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        Termination, feedthrough, BNC, 50 Ohm (for external trigger tests)
#
# The procedure was tested using:
#        Model Number     : MSO6034A (simulating DSO6012A)
#        Serial number    : MY50510159
#        Firmware Revision: 06.15.0001
#
# Average run time during testing:
#         6 min. (TAR mode)
#        14 min. (MU mode)
#
# This procedure is intended for use with MET/CAL® calibration software;
# the terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  M9500                       CH1
  1.004  9500         100MH                        100mVpp        LS    S  L
  1.005  M9500                       CH2
  1.006  9500         100MH                        100mVpp        LS    S  L
  1.007  M9500                       CH3
  1.008  9500         100MH                        100mVpp        LS    S  L
  1.009  ENDIF

  1.010  IF           NOT(VERSIONCHECK("7.3"))
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         30 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  CALL         Sub UUT Connection GPIB

  1.017  HEAD         UUT IDENTIFICATION
  1.018  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.019  MATH         @UUT_Manufacturer  = "Agilent Technologies"
  1.020  MATH         @UUT_Manufacturer2 = "Hewlett-Packard"
  1.021  MATH         @UUT_Model         = "DSO6012A"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.023  IF           @Abort
  1.024  END
  1.025  ENDIF

  1.026  CALL         Sub AT MSO/DSO6xxx Check Date Code

# Reset statement for UUT, clearing UUT status register.
  1.027  RESET        *CLS

  1.028  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.029  CALL         Sub Select Failed Test Mode
  1.030  CALL         Sub Select Verification Method

  1.031  HEAD         EQUIPMENT REQUIRED
  1.032  DISP         The following additional equipment is required to
  1.032  DISP         facilitate the verification:
  1.032  DISP
  1.032  DISP         - Termination, feedthrough, BNC, 50 Ohm

  1.033  CALL         Sub Self Test SCPI No Connection

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

# Set Bandwidth and Number of Channels.
  1.037  MATH         @Bandwidth = 100E+6; @NumChan = 2

  1.038  HEAD         INSTRUMENT CONNECTIONS
  1.039  DISP         Make the following connections:
  1.039  DISP
  1.039  DISP         [32]       9500            to        UUT
  1.039  DISP         [32]  CH1 ACTIVE HEAD -------------> Ch 1 (X)
  1.039  DISP         [32]  CH2 ACTIVE HEAD -------------> Ch 2 (Y)
  1.039  DISP         [32]  CH5 ACTIVE HEAD --> 50 Ohm --> EXT TRIGGER (Z)

  1.040  IF           ZCMPI(@MeasMode, "TAR")
  1.041  DISP         The next routine operator intervention occurs
  1.041  DISP         in approximately 6 minutes (verification will
  1.041  DISP         be complete, barring any failures).
  1.042  ELSE
  1.043  DISP         The next routine operator intervention occurs
  1.043  DISP         in approximately 14 minutes (verification will
  1.043  DISP         be complete, barring any failures).
  1.044  ENDIF

  1.045  MATH         @Chan = 1
  1.046  M9500                       CH1
  1.047  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500

  1.048  MATH         @Chan = 2
  1.049  M9500                       CH2
  1.050  CALL         Sub AT MSO/DSO6xxx (1 yr) DCV Measure IEEE /9500

  1.051  MATH         @Chan = 1
  1.052  M9500                       CH1
  1.053  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500

  1.054  MATH         @Chan = 2
  1.055  M9500                       CH2
  1.056  CALL         Sub AT MSO/DSO60xx (1 yr) Bandwidth IEEE /9500

  1.057  MATH         @Chan = 1
  1.058  M9500                       CH1
  1.059  IF           @MfgYear >= 8
  1.060  CALL         Sub AT MSO/DSO60xx (1 yr) Time Scale IEEE /9500
  1.061  ENDIF

  1.062  CALL         Sub AT MSO/DSO6xxx (1 yr) Horiz Delta t IEEE /9500
  1.063  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.064  MATH         @Chan = 2
  1.065  M9500                       CH2
  1.066  CALL         Sub AT MSO/DSO60xx (1 yr) Trig Sens IEEE /9500

  1.067  MATH         @Chan = 1
  1.068  M9500                       CH1                                L  1T5
  1.069  CALL         Sub AT MSO/DSO60x2 (1 yr) Ext Trig 2Ch IEEE /9500

  1.070  RSLT         =
  1.071  HEAD         {V E R I F I C A T I O N   C O M P L E T E}
  1.072  END
